scala.collection.parallel.mutable

# ParSetLike

###
Related Doc: package mutable

#### trait ParSetLike[T, +Repr <: ParSetLike[T, Repr, Sequential] with ParSet[T], +Sequential <: mutable.Set[T] with mutable.SetLike[T, Sequential]] extends GenSetLike[T, Repr] with ParIterableLike[T, Repr, Sequential] with parallel.ParSetLike[T, Repr, Sequential] with Growable[T] with Shrinkable[T] with mutable.Cloneable[Repr]

A template trait for mutable parallel sets. This trait is mixed in with concrete parallel sets to override the representation type.

The higher-order functions passed to certain operations may contain side-effects. Since implementations of bulk operations may not be sequential, this means that side-effects may not be predictable and may produce data-races, deadlocks or invalidation of state if care is not taken. It is up to the programmer to either avoid using side-effects or to use some form of synchronization when accessing mutable data.

T

  the element type of the set

Self Type
  ParSetLike[T, Repr, Sequential]
Source
  ParSetLike.scala

Linear Supertypes
mutable.Cloneable[Repr], Cloneable, java.lang.Cloneable, Shrinkable[T], Growable[T], Clearable, parallel.ParSetLike[T, Repr, Sequential], ParIterableLike[T, Repr, Sequential], HasNewCombiner[T, Repr], Parallel, CustomParallelizable[T, Repr], GenSetLike[T, Repr], Equals, (T) ⇒ Boolean, GenIterableLike[T, Repr], GenTraversableLike[T, Repr], Parallelizable[T, Repr], GenTraversableOnce[T], AnyRef, Any
Known Subclasses
ParHashSet, ParSet
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. ParSetLike
2. Cloneable
3. Cloneable
4. Cloneable
5. Shrinkable
6. Growable
7. Clearable
8. ParSetLike
9. ParIterableLike
10. HasNewCombiner
11. Parallel
12. CustomParallelizable
13. GenSetLike
14. Equals
15. Function1
16. GenIterableLike
17. GenTraversableLike
18. Parallelizable
19. GenTraversableOnce
20. AnyRef
21. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### trait Accessor[R, Tp] extends StrictSplitterCheckTask[R, Tp]

   Standard accessor task that iterates over the elements of the collection.

   Standard accessor task that iterates over the elements of the collection.

   R

     type of the result of this method (`R` for result).

   Tp

     the representation type of the task at hand.

   Attributes
     protected
   Definition Classes
     ParIterableLike

2. #### class Aggregate[S] extends Accessor[S, Aggregate[S]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

3. #### trait BuilderOps[Elem, To] extends AnyRef

   Definition Classes
     ParIterableLike

4. #### class Collect[S, That] extends Transformer[Combiner[S, That], Collect[S, That]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

5. #### abstract class Composite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends NonDivisibleTask[R, Composite[FR, SR, R, First, Second]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

6. #### class Copy[U >: T, That] extends Transformer[Combiner[U, That], Copy[U, That]]

   Attributes
     protected
   Definition Classes
     ParIterableLike

7. #### class CopyToArray[U >: T, This >: Repr] extends Accessor[Unit, CopyToArray[U, This]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

8. #### class Count extends Accessor[Int, Count]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

9. #### class CreateScanTree[U >: T] extends Transformer[ScanTree[U], CreateScanTree[U]]

   Attributes
     protected[this]
   Definition Classes
     ParIterableLike

10. #### class Drop[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Drop[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

11. #### class Exists extends Accessor[Boolean, Exists]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

12. #### class Filter[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Filter[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

13. #### class FilterNot[U >: T, This >: Repr] extends Transformer[Combiner[U, This], FilterNot[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

14. #### class Find[U >: T] extends Accessor[Option[U], Find[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

15. #### class FlatMap[S, That] extends Transformer[Combiner[S, That], FlatMap[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

16. #### class Fold[U >: T] extends Accessor[U, Fold[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

17. #### class Forall extends Accessor[Boolean, Forall]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

18. #### class Foreach[S] extends Accessor[Unit, Foreach[S]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

19. #### class FromScanTree[U >: T, That] extends StrictSplitterCheckTask[Combiner[U, That], FromScanTree[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

20. #### class GroupBy[K, U >: T] extends Transformer[HashMapCombiner[K, U], GroupBy[K, U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

21. #### class Map[S, That] extends Transformer[Combiner[S, That], Map[S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

22. #### class Max[U >: T] extends Accessor[Option[U], Max[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

23. #### class Min[U >: T] extends Accessor[Option[U], Min[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

24. #### trait NonDivisible[R] extends NonDivisibleTask[R, NonDivisible[R]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

25. #### trait NonDivisibleTask[R, Tp] extends StrictSplitterCheckTask[R, Tp]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

26. #### abstract class ParComposite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Performs two tasks in parallel, and waits for both to finish.

    Performs two tasks in parallel, and waits for both to finish.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

27. #### class Partition[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Partition[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

28. #### class Product[U >: T] extends Accessor[U, Product[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

29. #### class Reduce[U >: T] extends Accessor[Option[U], Reduce[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

30. #### abstract class ResultMapping[R, Tp, R1] extends NonDivisibleTask[R1, ResultMapping[R, Tp, R1]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

31. #### type SSCTask[R, Tp] = StrictSplitterCheckTask[R, Tp]

    Definition Classes
      ParIterableLike

32. #### case class ScanLeaf[U >: T](pit: IterableSplitter[U], op: (U, U) ⇒ U, from: Int, len: Int, prev: Option[ScanLeaf[U]], acc: U) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

33. #### case class ScanNode[U >: T](left: ScanTree[U], right: ScanTree[U]) extends ScanTree[U] with scala.Product with Serializable

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

34. #### trait ScanTree[U >: T] extends AnyRef

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

35. #### abstract class SeqComposite[FR, SR, R, First <: StrictSplitterCheckTask[FR, _], Second <: StrictSplitterCheckTask[SR, _]] extends Composite[FR, SR, R, First, Second]

    Sequentially performs one task after another.

    Sequentially performs one task after another.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

36. #### trait SignallingOps[PI <: DelegatedSignalling] extends AnyRef

    Definition Classes
      ParIterableLike

37. #### class Slice[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Slice[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

38. #### class Span[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), Span[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

39. #### class SplitAt[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Combiner[U, This]), SplitAt[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

40. #### trait StrictSplitterCheckTask[R, Tp] extends Task[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

41. #### class Sum[U >: T] extends Accessor[U, Sum[U]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

42. #### class Take[U >: T, This >: Repr] extends Transformer[Combiner[U, This], Take[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

43. #### class TakeWhile[U >: T, This >: Repr] extends Transformer[(Combiner[U, This], Boolean), TakeWhile[U, This]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

44. #### trait TaskOps[R, Tp] extends AnyRef

    Definition Classes
      ParIterableLike

45. #### class ToParCollection[U >: T, That] extends Transformer[Combiner[U, That], ToParCollection[U, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

46. #### class ToParMap[K, V, That] extends Transformer[Combiner[(K, V), That], ToParMap[K, V, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

47. #### trait Transformer[R, Tp] extends Accessor[R, Tp]

    Attributes
      protected
    Definition Classes
      ParIterableLike

48. #### class Zip[U >: T, S, That] extends Transformer[Combiner[(U, S), That], Zip[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

49. #### class ZipAll[U >: T, S, That] extends Transformer[Combiner[(U, S), That], ZipAll[U, S, That]]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

### Abstract Value Members

1. #### abstract def +=(elem: T): ParSetLike.this.type

   adds a single element to this mutable parallel set .

   adds a single element to this mutable parallel set .

   elem

     the element to add.

   returns

     the mutable parallel set itself

   Definition Classes
     ParSetLike → Growable

2. #### abstract def -=(elem: T): ParSetLike.this.type

   Removes a single element from this mutable parallel set .

   Removes a single element from this mutable parallel set .

   elem

     the element to remove.

   returns

     the mutable parallel set itself

   Definition Classes
     ParSetLike → Shrinkable

3. #### abstract def clear(): Unit

   Clears the growable collection's contents.

   Clears the growable collection's contents. After this operation, the growable collection is empty.

   Definition Classes
     Growable → Clearable

4. #### abstract def contains(elem: T): Boolean

   Definition Classes
     GenSetLike

5. #### abstract def empty: Repr

   Definition Classes
     ParSetLike → ParSetLike

6. #### abstract def newCombiner: Combiner[T, Repr]

   Attributes
     protected[this]
   Definition Classes
     HasNewCombiner

7. #### abstract def seq: Sequential

   Definition Classes
     ParIterableLike → Parallelizable → GenTraversableOnce

8. #### abstract def size: Int

   The size of this general collection.

   The size of this general collection.

   Note: will not terminate for infinite-sized collections.

   returns

     the number of elements in this general collection.

   Definition Classes
     GenTraversableLike → GenTraversableOnce

9. #### abstract def splitter: IterableSplitter[T]

   Creates a new parallel iterator used to traverse the elements of this parallel collection.

   Creates a new parallel iterator used to traverse the elements of this parallel collection. This iterator is more specific than the iterator of the returned by `iterator`, and augmented with additional accessor and transformer methods.

   returns

     a parallel iterator

   Attributes
     protected[scala.collection.parallel]
   Definition Classes
     ParIterableLike

10. #### abstract def stringPrefix: String

    Defines the prefix of this object's `toString` representation.

    Defines the prefix of this object's `toString` representation.

    returns

      a string representation which starts the result of `toString` applied to this general collection. By default the string prefix is the simple name of the collection class general collection.

    Definition Classes
      GenTraversableLike

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def &(that: GenSet[T]): Repr

   Computes the intersection between this set and another set.

   Computes the intersection between this set and another set.

   Note: Same as `intersect`.

   that

     the set to intersect with.

   returns

     a new set consisting of all elements that are both in this set and in the given set `that`.

   Definition Classes
     GenSetLike

4. #### def &~(that: GenSet[T]): Repr

   The difference of this set and another set.

   The difference of this set and another set.

   Note: Same as `diff`.

   that

     the set of elements to exclude.

   returns

     a set containing those elements of this set that are not also contained in the given set `that`.

   Definition Classes
     GenSetLike

5. #### def +(elem: T): Repr

   Definition Classes
     ParSetLike → GenSetLike

6. #### def ++[B](that: GenTraversableOnce[B]): ParSet[B]

   [use case] Returns a new mutable parallel set containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new mutable parallel set containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the mutable parallel set is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = List(1)
       a: List[Int] = List(1)

       scala> val b = List(2)
       b: List[Int] = List(2)

       scala> val c = a ++ b
       c: List[Int] = List(1, 2)

       scala> val d = List('a')
       d: List[Char] = List(a)

       scala> val e = c ++ d
       e: List[AnyVal] = List(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new mutable parallel set which contains all elements of this mutable parallel set

     followed by all elements of `that`.

   Definition Classes
     ParIterableLike → GenTraversableLike
   Full Signature

   #### def ++[U >: T, That](that: GenTraversableOnce[U])(implicit bf: CanBuildFrom[Repr, U, That]): That

7. #### def ++=(xs: TraversableOnce[T]): ParSetLike.this.type

   adds all elements produced by a TraversableOnce to this growable collection.

   adds all elements produced by a TraversableOnce to this growable collection.

   xs

     the TraversableOnce producing the elements to add.

   returns

     the growable collection itself.

   Definition Classes
     Growable

8. #### def +=(elem1: T, elem2: T, elems: T*): ParSetLike.this.type

   adds two or more elements to this growable collection.

   adds two or more elements to this growable collection.

   elem1

     the first element to add.

   elem2

     the second element to add.

   elems

     the remaining elements to add.

   returns

     the growable collection itself

   Definition Classes
     Growable

9. #### def -(elem: T): Repr

   Definition Classes
     ParSetLike → GenSetLike

10. #### def --=(xs: TraversableOnce[T]): ParSetLike.this.type

    Removes all elements produced by an iterator from this shrinkable collection.

    Removes all elements produced by an iterator from this shrinkable collection.

    xs

      the iterator producing the elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable

11. #### def -=(elem1: T, elem2: T, elems: T*): ParSetLike.this.type

    Removes two or more elements from this shrinkable collection.

    Removes two or more elements from this shrinkable collection.

    elem1

      the first element to remove.

    elem2

      the second element to remove.

    elems

      the remaining elements to remove.

    returns

      the shrinkable collection itself

    Definition Classes
      Shrinkable

12. #### def ->[B](y: B): (ParSetLike[T, Repr, Sequential], B)

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to ArrowAssoc[ParSetLike[T, Repr, Sequential]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc
    Annotations
      @inline()

13. #### def /:[S](z: S)(op: (S, T) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

14. #### def :\[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = List(1,2,3,4)
        a: List[Int] = List(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

15. #### final def ==(arg0: Any): Boolean

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    arg0

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

16. #### def aggregate[S](z: ⇒ S)(seqop: (S, T) ⇒ S, combop: (S, S) ⇒ S): S

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the set, while `combop` would concatenate two sets from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    S

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation) and may be evaluated more than once

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      ParIterableLike → GenTraversableOnce

17. #### def andThen[A](g: (Boolean) ⇒ A): (T) ⇒ A

    Composes two instances of Function1 in a new Function1, with this function applied first.

    Composes two instances of Function1 in a new Function1, with this function applied first.

    A

      the result type of function `g`

    g

      a function R => A

    returns

      a new function `f` such that `f(x) == g(apply(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

18. #### def apply(elem: T): Boolean

    Tests if some element is contained in this set.

    Tests if some element is contained in this set.

    This method is equivalent to `contains`. It allows sets to be interpreted as predicates.

    elem

      the element to test for membership.

    returns

      `true` if `elem` is contained in this set, `false` otherwise.

    Definition Classes
      GenSetLike → Function1

19. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

20. #### def bf2seq[S, That](bf: CanBuildFrom[Repr, S, That]): CanBuildFrom[Sequential, S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

21. #### implicit def builder2ops[Elem, To](cb: Builder[Elem, To]): BuilderOps[Elem, To]

    Attributes
      protected
    Definition Classes
      ParIterableLike

22. #### def canEqual(other: Any): Boolean

    Definition Classes
      ParIterableLike

23. #### def clone(): Repr

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      Cloneable → AnyRef
    Note

      not specified by SLS as a member of AnyRef

24. #### def collect[B](pf: PartialFunction[A, B]): ParSet[B]

    [use case] Builds a new collection by applying a partial function to all elements of this mutable parallel set

    [use case]

    Builds a new collection by applying a partial function to all elements of this mutable parallel set

    on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the mutable parallel set .

    returns

      a new mutable parallel set resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def collect[S, That](pf: PartialFunction[T, S])(implicit bf: CanBuildFrom[Repr, S, That]): That

25. #### def combinerFactory[S, That](cbf: () ⇒ Combiner[S, That]): CombinerFactory[S, That]

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

26. #### def combinerFactory: CombinerFactory[T, Repr]

    Creates a combiner factory.

    Creates a combiner factory. Each combiner factory instance is used once per invocation of a parallel transformer method for a single collection.

    The default combiner factory creates a new combiner every time it is requested, unless the combiner is thread-safe as indicated by its `canBeShared` method. In this case, the method returns a factory which returns the same combiner each time. This is typically done for concurrent parallel collections, the combiners of which allow thread safe access.

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

27. #### def compose[A](g: (A) ⇒ T): (A) ⇒ Boolean

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized()

28. #### def copyToArray[U >: T](xs: Array[U], start: Int, len: Int): Unit

    Definition Classes
      ParIterableLike → GenTraversableOnce

29. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this mutable parallel set to an array.

    [use case]

    Copies values of this mutable parallel set to an array. Fills the given array `xs` with values of this mutable parallel set , beginning at index `start`. Copying will stop once either the end of the current mutable parallel set is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U], start: Int): Unit

30. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this mutable parallel set to an array.

    [use case]

    Copies values of this mutable parallel set to an array. Fills the given array `xs` with values of this mutable parallel set . Copying will stop once either the end of the current mutable parallel set is reached, or the end of the array is reached.

    Note: will not terminate for infinite-sized collections.

    xs

      the array to fill.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def copyToArray[U >: T](xs: Array[U]): Unit

31. #### def count(p: (T) ⇒ Boolean): Int

    Counts the number of elements in the parallel iterable which satisfy a predicate.

    Counts the number of elements in the parallel iterable which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      ParIterableLike → GenTraversableOnce

32. #### def debugBuffer: ArrayBuffer[String]

    Definition Classes
      ParIterableLike

33. #### implicit def delegatedSignalling2ops[PI <: DelegatedSignalling](it: PI): SignallingOps[PI]

    Attributes
      protected
    Definition Classes
      ParIterableLike

34. #### def diff(that: GenSet[T]): Repr

    Computes the difference of this set and another set.

    Computes the difference of this set and another set.

    that

      the set of elements to exclude.

    returns

      a set containing those elements of this set that are not also contained in the given set `that`.

    Definition Classes
      ParSetLike → GenSetLike

35. #### def drop(n: Int): Repr

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    n

      the number of elements to drop from this parallel iterable.

    returns

      a parallel iterable consisting of all elements of this parallel iterable except the first `n` ones, or else the empty parallel iterable, if this parallel iterable has less than `n` elements.

    Definition Classes
      ParIterableLike → GenTraversableLike

36. #### def dropWhile(pred: (T) ⇒ Boolean): Repr

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    Drops all elements in the longest prefix of elements that satisfy the predicate, and returns a collection composed of the remaining elements.

    This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

    pred

      the predicate used to test the elements

    returns

      a collection composed of all the elements after the longest prefix of elements in this parallel iterable that satisfy the predicate `pred`

    Definition Classes
      ParIterableLike → GenTraversableLike

37. #### def ensuring(cond: (ParSetLike[T, Repr, Sequential]) ⇒ Boolean, msg: ⇒ Any): ParSetLike[T, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to Ensuring[ParSetLike[T, Repr, Sequential]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

38. #### def ensuring(cond: (ParSetLike[T, Repr, Sequential]) ⇒ Boolean): ParSetLike[T, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to Ensuring[ParSetLike[T, Repr, Sequential]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

39. #### def ensuring(cond: Boolean, msg: ⇒ Any): ParSetLike[T, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to Ensuring[ParSetLike[T, Repr, Sequential]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

40. #### def ensuring(cond: Boolean): ParSetLike[T, Repr, Sequential]

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to Ensuring[ParSetLike[T, Repr, Sequential]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

41. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

42. #### def equals(that: Any): Boolean

    Compares this set with another object for equality.

    Compares this set with another object for equality.

    Note: This operation contains an unchecked cast: if `that` is a set, it will assume with an unchecked cast that it has the same element type as this set. Any subsequent ClassCastException is treated as a `false` result.

    that

      the other object

    returns

      `true` if `that` is a set which contains the same elements as this set.

    Definition Classes
      GenSetLike → Equals → AnyRef → Any

43. #### def exists(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some element of this parallel iterable.

    Tests whether a predicate holds for some element of this parallel iterable.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for some element, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

44. #### def filter(pred: (T) ⇒ Boolean): Repr

    Selects all elements of this parallel iterable which satisfy a predicate.

    Selects all elements of this parallel iterable which satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new parallel iterable consisting of all elements of this parallel iterable that satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

45. #### def filterNot(pred: (T) ⇒ Boolean): Repr

    Selects all elements of this parallel iterable which do not satisfy a predicate.

    Selects all elements of this parallel iterable which do not satisfy a predicate.

    pred

      the predicate used to test elements.

    returns

      a new parallel iterable consisting of all elements of this parallel iterable that do not satisfy the given predicate `p`. Their order may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

46. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

47. #### def find(pred: (T) ⇒ Boolean): Option[T]

    Finds some element in the collection for which the predicate holds, if such an element exists.

    Finds some element in the collection for which the predicate holds, if such an element exists. The element may not necessarily be the first such element in the iteration order.

    If there are multiple elements obeying the predicate, the choice is nondeterministic.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      predicate used to test the elements

    returns

      an option value with the element if such an element exists, or `None` otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

48. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): ParSet[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable parallel set

    [use case]

    Builds a new collection by applying a function to all elements of this mutable parallel set

    and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of mutable parallel set . This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable parallel set resulting from applying the given collection-valued function `f` to each element of this mutable parallel set and concatenating the results.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def flatMap[S, That](f: (T) ⇒ GenTraversableOnce[S])(implicit bf: CanBuildFrom[Repr, S, That]): That

49. #### def fold[U >: T](z: U)(op: (U, U) ⇒ U): U

    Folds the elements of this sequence using the specified associative binary operator.

    Folds the elements of this sequence using the specified associative binary operator. The order in which the elements are reduced is unspecified and may be nondeterministic.

    Note this method has a different signature than the `foldLeft` and `foldRight` methods of the trait `Traversable`. The result of folding may only be a supertype of this parallel collection's type parameter `T`.

    U

      a type parameter for the binary operator, a supertype of `T`.

    z

      a neutral element for the fold operation, it may be added to the result an arbitrary number of times, not changing the result (e.g. `Nil` for list concatenation, 0 for addition, or 1 for multiplication)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      ParIterableLike → GenTraversableOnce

50. #### def foldLeft[S](z: S)(op: (S, T) ⇒ S): S

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Applies a binary operator to a start value and all elements of this parallel iterable, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

51. #### def foldRight[S](z: S)(op: (T, S) ⇒ S): S

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Applies a binary operator to all elements of this parallel iterable and a start value, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce

52. #### def forall(pred: (T) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this parallel iterable.

    Tests whether a predicate holds for all elements of this parallel iterable.

    This method will use `abort` signalling capabilities. This means that splitters may send and read `abort` signals.

    pred

      a predicate used to test elements

    returns

      true if `p` holds for all elements, false otherwise

    Definition Classes
      ParIterableLike → GenTraversableOnce

53. #### def foreach[U](f: (T) ⇒ U): Unit

    Applies a function `f` to all the elements of parallel iterable in an undefined order.

    Applies a function `f` to all the elements of parallel iterable in an undefined order.

    U

      the result type of the function applied to each element, which is always discarded

    f

      function applied to each element

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

54. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to StringFormat[ParSetLike[T, Repr, Sequential]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

55. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

56. #### def groupBy[K](f: (T) ⇒ K): immutable.ParMap[K, Repr]

    Partitions this parallel iterable into a map of parallel iterables according to some discriminator function.

    Partitions this parallel iterable into a map of parallel iterables according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new parallel iterable.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to parallel iterables such that the following invariant holds:

          (xs groupBy f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a parallel iterable of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      ParIterableLike → GenTraversableLike

57. #### def hasDefiniteSize: Boolean

    Definition Classes
      ParIterableLike → GenTraversableOnce

58. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      GenSetLike → AnyRef → Any

59. #### def head: T

    Selects the first element of this parallel iterable.

    Selects the first element of this parallel iterable.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown

      `NoSuchElementException` if the parallel iterable is empty.

60. #### def headOption: Option[T]

    Optionally selects the first element.

    Optionally selects the first element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the first element of this parallel iterable if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

61. #### def init: Repr

    Selects all elements except the last.

    Selects all elements except the last.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      a parallel iterable consisting of all elements of this parallel iterable except the last one.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown

      `UnsupportedOperationException` if the parallel iterable is empty.

62. #### def initTaskSupport(): Unit

    Attributes
      protected
    Definition Classes
      ParIterableLike

63. #### def intersect(that: GenSet[T]): Repr

    Computes the intersection between this set and another set.

    Computes the intersection between this set and another set.

    that

      the set to intersect with.

    returns

      a new set consisting of all elements that are both in this set and in the given set `that`.

    Definition Classes
      GenSetLike

64. #### def isEmpty: Boolean

    Tests whether the parallel iterable is empty.

    Tests whether the parallel iterable is empty.

    returns

      `true` if the parallel iterable contains no elements, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

65. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

66. #### def isStrictSplitterCollection: Boolean

    Denotes whether this parallel collection has strict splitters.

    Denotes whether this parallel collection has strict splitters.

    This is true in general, and specific collection instances may choose to override this method. Such collections will fail to execute methods which rely on splitters being strict, i.e. returning a correct value in the `remaining` method.

    This method helps ensure that such failures occur on method invocations, rather than later on and in unpredictable ways.

    Definition Classes
      ParIterableLike

67. #### final def isTraversableAgain: Boolean

    Tests whether this parallel iterable can be repeatedly traversed.

    Tests whether this parallel iterable can be repeatedly traversed.

    returns

      `true`

    Definition Classes
      ParIterableLike → GenTraversableLike → GenTraversableOnce

68. #### def iterator: Splitter[T]

    Creates a new split iterator used to traverse the elements of this collection.

    Creates a new split iterator used to traverse the elements of this collection.

    By default, this method is implemented in terms of the protected `splitter` method.

    returns

      a split iterator

    Definition Classes
      ParIterableLike → GenIterableLike

69. #### def last: T

    Selects the last element.

    Selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      The last element of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Exceptions thrown

      `NoSuchElementException` If the parallel iterable is empty.

70. #### def lastOption: Option[T]

    Optionally selects the last element.

    Optionally selects the last element.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    returns

      the last element of this parallel iterable$ if it is nonempty, `None` if it is empty.

    Definition Classes
      ParIterableLike → GenTraversableLike

71. #### def map[B](f: (A) ⇒ B): ParSet[B]

    [use case] Builds a new collection by applying a function to all elements of this mutable parallel set .

    [use case]

    Builds a new collection by applying a function to all elements of this mutable parallel set .

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new mutable parallel set resulting from applying the given function `f` to each element of this mutable parallel set and collecting the results.

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def map[S, That](f: (T) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

72. #### def max: A

    [use case] Finds the largest element.

    [use case]

    Finds the largest element.

    returns

      the largest element of this mutable parallel set .

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def max[U >: T](implicit ord: Ordering[U]): T

73. #### def maxBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the largest value measured by function f.

    [use case]

    Finds the first element which yields the largest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this mutable parallel set with the largest value measured by function f.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def maxBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

74. #### def min: A

    [use case] Finds the smallest element.

    [use case]

    Finds the smallest element.

    returns

      the smallest element of this mutable parallel set

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def min[U >: T](implicit ord: Ordering[U]): T

75. #### def minBy[B](f: (A) ⇒ B): A

    [use case] Finds the first element which yields the smallest value measured by function f.

    [use case]

    Finds the first element which yields the smallest value measured by function f.

    B

      The result type of the function f.

    f

      The measuring function.

    returns

      the first element of this mutable parallel set with the smallest value measured by function f.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def minBy[S](f: (T) ⇒ S)(implicit cmp: Ordering[S]): T

76. #### def mkString: String

    Displays all elements of this parallel iterable in a string.

    Displays all elements of this parallel iterable in a string.

    returns

      a string representation of this parallel iterable. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable follow each other without any separator string.

    Definition Classes
      ParIterableLike → GenTraversableOnce

77. #### def mkString(sep: String): String

    Displays all elements of this parallel iterable in a string using a separator string.

    Displays all elements of this parallel iterable in a string using a separator string.

    sep

      the separator string.

    returns

      a string representation of this parallel iterable. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("|") = "1|2|3"`

78. #### def mkString(start: String, sep: String, end: String): String

    Displays all elements of this parallel iterable in a string using start, end, and separator strings.

    Displays all elements of this parallel iterable in a string using start, end, and separator strings.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      a string representation of this parallel iterable. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this parallel iterable are separated by the string `sep`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Example:

    1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

79. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

80. #### def nonEmpty: Boolean

    Tests whether the parallel iterable is not empty.

    Tests whether the parallel iterable is not empty.

    returns

      `true` if the parallel iterable contains at least one element, `false` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

81. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

82. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

83. #### def par: Repr

    Returns a parallel implementation of this collection.

    Returns a parallel implementation of this collection.

    For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

    Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

    All parallel collections return a reference to themselves.

    returns

      a parallel implementation of this collection

    Definition Classes
      ParIterableLike → CustomParallelizable → Parallelizable

84. #### def parCombiner: Combiner[T, Repr]

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

    returns

      a combiner for the parallel collection of type `ParRepr`

    Attributes
      protected[this]
    Definition Classes
      CustomParallelizable → Parallelizable

85. #### def partition(pred: (T) ⇒ Boolean): (Repr, Repr)

    Partitions this parallel iterable in two parallel iterables according to a predicate.

    Partitions this parallel iterable in two parallel iterables according to a predicate.

    pred

      the predicate on which to partition.

    returns

      a pair of parallel iterables: the first parallel iterable consists of all elements that satisfy the predicate `p` and the second parallel iterable consists of all elements that don't. The relative order of the elements in the resulting parallel iterables may not be preserved.

    Definition Classes
      ParIterableLike → GenTraversableLike

86. #### def product: A

    [use case] Multiplies up the elements of this collection.

    [use case]

    Multiplies up the elements of this collection.

    returns

      the product of all elements in this mutable parallel set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable parallel set and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Full Signature

    #### def product[U >: T](implicit num: Numeric[U]): U

87. #### def reduce[U >: T](op: (U, U) ⇒ U): U

    Reduces the elements of this sequence using the specified associative binary operator.

    Reduces the elements of this sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note this method has a different signature than the `reduceLeft` and `reduceRight` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

    U

      A type parameter for the binary operator, a supertype of `T`.

    op

      A binary operator that must be associative.

    returns

      The result of applying reduce operator `op` between all the elements if the collection is nonempty.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this parallel iterable is empty.

88. #### def reduceLeft[U >: T](op: (U, T) ⇒ U): U

    Definition Classes
      ParIterableLike

89. #### def reduceLeftOption[U >: T](op: (U, T) ⇒ U): Option[U]

    Optionally applies a binary operator to all elements of this parallel iterable, going left to right.

    Optionally applies a binary operator to all elements of this parallel iterable, going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceLeft(op)` is this parallel iterable is nonempty, `None` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

90. #### def reduceOption[U >: T](op: (U, U) ⇒ U): Option[U]

    Optionally reduces the elements of this sequence using the specified associative binary operator.

    Optionally reduces the elements of this sequence using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    Note this method has a different signature than the `reduceLeftOption` and `reduceRightOption` methods of the trait `Traversable`. The result of reducing may only be a supertype of this parallel collection's type parameter `T`.

    U

      A type parameter for the binary operator, a supertype of `T`.

    op

      A binary operator that must be associative.

    returns

      An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

91. #### def reduceRight[U >: T](op: (T, U) ⇒ U): U

    Applies a binary operator to all elements of this parallel iterable, going right to left.

    Applies a binary operator to all elements of this parallel iterable, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this parallel iterable, going right to left:

          op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

      where `x1, ..., xn` are the elements of this parallel iterable.

    Definition Classes
      ParIterableLike → GenTraversableOnce
    Exceptions thrown

      `UnsupportedOperationException` if this parallel iterable is empty.

92. #### def reduceRightOption[U >: T](op: (T, U) ⇒ U): Option[U]

    Optionally applies a binary operator to all elements of this parallel iterable, going right to left.

    Optionally applies a binary operator to all elements of this parallel iterable, going right to left.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered. or the operator is associative and commutative.

    op

      the binary operator.

    returns

      an option value containing the result of `reduceRight(op)` is this parallel iterable is nonempty, `None` otherwise.

    Definition Classes
      ParIterableLike → GenTraversableOnce

93. #### def repr: Repr

    Definition Classes
      ParIterableLike → GenTraversableLike

94. #### def reuse[S, That](oldc: Option[Combiner[S, That]], newc: Combiner[S, That]): Combiner[S, That]

    Optionally reuses an existing combiner for better performance.

    Optionally reuses an existing combiner for better performance. By default it doesn't - subclasses may override this behaviour. The provided combiner `oldc` that can potentially be reused will be either some combiner from the previous computational task, or `None` if there was no previous phase (in which case this method must return `newc`).

    oldc

      The combiner that is the result of the previous task, or `None` if there was no previous task.

    newc

      The new, empty combiner that can be used.

    returns

      Either `newc` or `oldc`.

    Attributes
      protected
    Definition Classes
      ParIterableLike

95. #### def sameElements(that: GenIterable[A]): Boolean

    [use case] Checks if the other iterable collection contains the same elements in the same order as this mutable parallel set .

    [use case]

    Checks if the other iterable collection contains the same elements in the same order as this mutable parallel set .

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Note: will not terminate for infinite-sized collections.

    that

      the collection to compare with.

    returns

      `true`, if both collections contain the same elements in the same order, `false` otherwise.

    Definition Classes
      ParIterableLike → GenIterableLike
    Full Signature

    #### def sameElements[U >: T](that: GenIterable[U]): Boolean

96. #### def scan(z: T)(op: (T, T) ⇒ T): ParSet[T]

    [use case] Computes a prefix scan of the elements of the collection.

    [use case]

    Computes a prefix scan of the elements of the collection.

    Note: The neutral element `z` may be applied more than once.

    z

      neutral element for the operator `op`

    op

      the associative operator for the scan

    returns

      a new mutable parallel set containing the prefix scan of the elements in this mutable parallel set

    Definition Classes
      ParIterableLike → GenTraversableLike
    Full Signature

    #### def scan[U >: T, That](z: U)(op: (U, U) ⇒ U)(implicit bf: CanBuildFrom[Repr, U, That]): That

97. #### def scanBlockSize: Int

    Attributes
      protected[this]
    Definition Classes
      ParIterableLike

98. #### def scanLeft[S, That](z: S)(op: (S, T) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

    Produces a collection containing cumulative results of applying the operator going left to right.

    Produces a collection containing cumulative results of applying the operator going left to right.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      ParIterableLike → GenTraversableLike

99. #### def scanRight[S, That](z: S)(op: (T, S) ⇒ S)(implicit bf: CanBuildFrom[Repr, S, That]): That

    Produces a collection containing cumulative results of applying the operator going right to left.

    Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

    Note: will not terminate for infinite-sized collections.

    Note: might return different results for different runs, unless the underlying collection type is ordered.

    Example:

        List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

    That

      the actual type of the resulting collection

    z

      the initial value

    op

      the binary operator applied to the intermediate result and the element

    bf

      an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and and the new element type `B`.

    returns

      collection with intermediate results

    Definition Classes
      ParIterableLike → GenTraversableLike

100. #### def sequentially[S, That <: Parallel](b: (Sequential) ⇒ Parallelizable[S, That]): Repr

     Attributes
       protected[this]
     Definition Classes
       ParIterableLike

101. #### def slice(unc_from: Int, unc_until: Int): Repr

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     unc_from

       the lowest index to include from this parallel iterable.

     unc_until

       the lowest index to EXCLUDE from this parallel iterable.

     returns

       a parallel iterable containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableLike

102. #### def span(pred: (T) ⇒ Boolean): (Repr, Repr)

     Splits this parallel iterable into a prefix/suffix pair according to a predicate.

     Splits this parallel iterable into a prefix/suffix pair according to a predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       a pair consisting of the longest prefix of the collection for which all the elements satisfy `pred`, and the rest of the collection

     Definition Classes
       ParIterableLike → GenTraversableLike

103. #### def splitAt(n: Int): (Repr, Repr)

     Splits this parallel iterable into two at a given position.

     Splits this parallel iterable into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the position at which to split.

     returns

       a pair of parallel iterables consisting of the first `n` elements of this parallel iterable, and the other elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

104. #### def subsetOf(that: GenSet[T]): Boolean

     Tests whether this set is a subset of another set.

     Tests whether this set is a subset of another set.

     that

       the set to test.

     returns

       `true` if this set is a subset of `that`, i.e. if every element of this set is also an element of `that`.

     Definition Classes
       GenSetLike

105. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this mutable parallel set of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the mutable parallel set and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def sum[U >: T](implicit num: Numeric[U]): U

106. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

107. #### def tail: Repr

     Selects all elements except the first.

     Selects all elements except the first.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       a parallel iterable consisting of all elements of this parallel iterable except the first one.

     Definition Classes
       ParIterableLike → GenTraversableLike
     Exceptions thrown

       `UnsupportedOperationException` if the parallel iterable is empty.

108. #### def take(n: Int): Repr

     Selects first n elements.

     Selects first n elements.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     n

       the number of elements to take from this parallel iterable.

     returns

       a parallel iterable consisting only of the first `n` elements of this parallel iterable, or else the whole parallel iterable, if it has less than `n` elements.

     Definition Classes
       ParIterableLike → GenTraversableLike

109. #### def takeWhile(pred: (T) ⇒ Boolean): Repr

     Takes the longest prefix of elements that satisfy the predicate.

     Takes the longest prefix of elements that satisfy the predicate.

     This method will use `indexFlag` signalling capabilities. This means that splitters may set and read the `indexFlag` state. The index flag is initially set to maximum integer value.

     pred

       the predicate used to test the elements

     returns

       the longest prefix of this parallel iterable of elements that satisfy the predicate `pred`

     Definition Classes
       ParIterableLike → GenTraversableLike

110. #### implicit def task2ops[R, Tp](tsk: SSCTask[R, Tp]): TaskOps[R, Tp]

     Attributes
       protected
     Definition Classes
       ParIterableLike

111. #### def tasksupport: TaskSupport

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     The task support object which is responsible for scheduling and load-balancing tasks to processors.

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

112. #### def tasksupport_=(ts: TaskSupport): Unit

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     Changes the task support object which is responsible for scheduling and load-balancing tasks to processors.

     A task support object can be changed in a parallel collection after it has been created, but only during a quiescent period, i.e. while there are no concurrent invocations to parallel collection methods.

     Here is a way to change the task support of a parallel collection:

         import scala.collection.parallel._
         val pc = mutable.ParArray(1, 2, 3)
         pc.tasksupport = new ForkJoinTaskSupport(
           new scala.concurrent.forkjoin.ForkJoinPool(2))

     Definition Classes
       ParIterableLike
     See also

       scala.collection.parallel.TaskSupport

113. #### def to[Col[_]]: Col[A]

     [use case] Converts this mutable parallel set into another by copying all elements.

     [use case]

     Converts this mutable parallel set into another by copying all elements.

     Note: will not terminate for infinite-sized collections.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this mutable parallel set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, T, Col[T]]): Col[T]

114. #### def toArray: Array[A]

     [use case] Converts this mutable parallel set to an array.

     [use case]

     Converts this mutable parallel set to an array.

     Note: will not terminate for infinite-sized collections.

     returns

       an array containing all elements of this mutable parallel set . An `ClassTag` must be available for the element type of this mutable parallel set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toArray[U >: T](implicit arg0: ClassTag[U]): Array[U]

115. #### def toBuffer[U >: T]: Buffer[U]

     Uses the contents of this parallel iterable to create a new mutable buffer.

     Uses the contents of this parallel iterable to create a new mutable buffer.

     Note: will not terminate for infinite-sized collections.

     returns

       a buffer containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

116. #### def toIndexedSeq: immutable.IndexedSeq[T]

     Converts this parallel iterable to an indexed sequence.

     Converts this parallel iterable to an indexed sequence.

     Note: will not terminate for infinite-sized collections.

     returns

       an indexed sequence containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

117. #### def toIterable: parallel.ParIterable[T]

     Converts this parallel iterable to an iterable collection.

     Converts this parallel iterable to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     Note: will not terminate for infinite-sized collections.

     returns

       an `Iterable` containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

118. #### def toIterator: scala.Iterator[T]

     Returns an Iterator over the elements in this parallel iterable.

     Returns an Iterator over the elements in this parallel iterable. Will return the same Iterator if this instance is already an Iterator.

     Note: will not terminate for infinite-sized collections.

     returns

       an Iterator containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

119. #### def toList: List[T]

     Converts this parallel iterable to a list.

     Converts this parallel iterable to a list.

     Note: will not terminate for infinite-sized collections.

     returns

       a list containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

120. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this mutable parallel set to a map.

     [use case]

     Converts this mutable parallel set to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     Note: will not terminate for infinite-sized collections.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this mutable parallel set .

     Definition Classes
       ParIterableLike → GenTraversableOnce
     Full Signature

     #### def toMap[K, V](implicit ev: <:<[T, (K, V)]): immutable.ParMap[K, V]

121. #### def toParArray: ParArray[T]

     Implicit information
       This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to CollectionsHaveToParArray[ParSetLike[T, Repr, Sequential], T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (ParSetLike[T, Repr, Sequential]) ⇒ GenTraversableOnce[T] is in scope.
     Definition Classes
       CollectionsHaveToParArray

122. #### def toParCollection[U >: T, That](cbf: () ⇒ Combiner[U, That]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

123. #### def toParMap[K, V, That](cbf: () ⇒ Combiner[(K, V), That])(implicit ev: <:<[T, (K, V)]): That

     Attributes
       protected
     Definition Classes
       ParIterableLike

124. #### def toSeq: parallel.ParSeq[T]

     Converts this parallel iterable to a sequence.

     Converts this parallel iterable to a sequence. As with `toIterable`, it's lazy in this default implementation, as this `TraversableOnce` may be lazy and unevaluated.

     Note: will not terminate for infinite-sized collections.

     returns

       a sequence containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

125. #### def toSet[U >: T]: immutable.ParSet[U]

     Converts this parallel iterable to a set.

     Converts this parallel iterable to a set.

     Note: will not terminate for infinite-sized collections.

     returns

       a set containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

126. #### def toStream: Stream[T]

     Converts this parallel iterable to a stream.

     Converts this parallel iterable to a stream.

     returns

       a stream containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

127. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       ParIterableLike → AnyRef → Any

128. #### def toTraversable: GenTraversable[T]

     Converts this parallel iterable to an unspecified Traversable.

     Converts this parallel iterable to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     Note: will not terminate for infinite-sized collections.

     returns

       a Traversable containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

129. #### def toVector: Vector[T]

     Converts this parallel iterable to a Vector.

     Converts this parallel iterable to a Vector.

     Note: will not terminate for infinite-sized collections.

     returns

       a vector containing all elements of this parallel iterable.

     Definition Classes
       ParIterableLike → GenTraversableOnce

130. #### def union(that: GenSet[T]): Repr

     Computes the union between of set and another set.

     Computes the union between of set and another set.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       ParSetLike → GenSetLike

131. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

132. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

133. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

134. #### def withFilter(pred: (T) ⇒ Boolean): Repr

     Definition Classes
       ParIterableLike

135. #### def wrap[R](body: ⇒ R): NonDivisible[R]

     Attributes
       protected
     Definition Classes
       ParIterableLike

136. #### def zip[B](that: GenIterable[B]): ParSet[(A, B)]

     [use case] Returns a mutable parallel set formed from this mutable parallel set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable parallel set formed from this mutable parallel set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new mutable parallel set containing pairs consisting of corresponding elements of this mutable parallel set and `that`. The length of the returned collection is the minimum of the lengths of this mutable parallel set and `that`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zip[U >: T, S, That](that: GenIterable[S])(implicit bf: CanBuildFrom[Repr, (U, S), That]): That

137. #### def zipAll[B](that: Iterable[B], thisElem: A, thatElem: B): ParSet[(A, B)]

     [use case] Returns a mutable parallel set formed from this mutable parallel set and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a mutable parallel set formed from this mutable parallel set and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this mutable parallel set is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this mutable parallel set .

     returns

       a new mutable parallel set containing pairs consisting of corresponding elements of this mutable parallel set and `that`. The length of the returned collection is the maximum of the lengths of this mutable parallel set and `that`. If this mutable parallel set is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this mutable parallel set , `thatElem` values are used to pad the result.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipAll[S, U >: T, That](that: GenIterable[S], thisElem: U, thatElem: S)(implicit bf: CanBuildFrom[Repr, (U, S), That]): That

138. #### def zipWithIndex: ParSet[(A, Int)]

     [use case] Zips this mutable parallel set with its indices.

     [use case]

     Zips this mutable parallel set with its indices.

     Note: might return different results for different runs, unless the underlying collection type is ordered.

     returns

       A new mutable parallel set containing pairs consisting of all elements of this mutable parallel set paired with their index. Indices start at `0`.

     Definition Classes
       ParIterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[U >: T, That](implicit bf: CanBuildFrom[Repr, (U, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

139. #### def |(that: GenSet[T]): Repr

     Computes the union between this set and another set.

     Computes the union between this set and another set.

     Note: Same as `union`.

     that

       the set to form the union with.

     returns

       a new set consisting of all elements that are in this set or in the given set `that`.

     Definition Classes
       GenSetLike

140. #### def →[B](y: B): (ParSetLike[T, Repr, Sequential], B)

     Implicit information
       This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to ArrowAssoc[ParSetLike[T, Repr, Sequential]] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implicit Value Members

1. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from ParSetLike[T, Repr, Sequential] to any2stringadd[ParSetLike[T, Repr, Sequential]] performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (parSetLike: any2stringadd[ParSetLike[T, Repr, Sequential]]).+(other)

   Definition Classes
     any2stringadd

### Deprecated Value Members

1. #### def view: IterableView[T, Sequential]

   Definition Classes
     ParIterableLike
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use .seq.view instead

### Inherited from mutable.Cloneable[Repr]

### Inherited from Cloneable

### Inherited from java.lang.Cloneable

### Inherited from Shrinkable[T]

### Inherited from Growable[T]

### Inherited from Clearable

### Inherited from parallel.ParSetLike[T, Repr, Sequential]

### Inherited from ParIterableLike[T, Repr, Sequential]

### Inherited from HasNewCombiner[T, Repr]

### Inherited from Parallel

### Inherited from CustomParallelizable[T, Repr]

### Inherited from GenSetLike[T, Repr]

### Inherited from Equals

### Inherited from (T) ⇒ Boolean

### Inherited from GenIterableLike[T, Repr]

### Inherited from GenTraversableLike[T, Repr]

### Inherited from Parallelizable[T, Repr]

### Inherited from GenTraversableOnce[T]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from ParSetLike[T, Repr, Sequential] to CollectionsHaveToParArray[ParSetLike[T, Repr, Sequential], T]

### Inherited by implicit conversion any2stringadd from ParSetLike[T, Repr, Sequential] to any2stringadd[ParSetLike[T, Repr, Sequential]]

### Inherited by implicit conversion StringFormat from ParSetLike[T, Repr, Sequential] to StringFormat[ParSetLike[T, Repr, Sequential]]

### Inherited by implicit conversion Ensuring from ParSetLike[T, Repr, Sequential] to Ensuring[ParSetLike[T, Repr, Sequential]]

### Inherited by implicit conversion ArrowAssoc from ParSetLike[T, Repr, Sequential] to ArrowAssoc[ParSetLike[T, Repr, Sequential]]

### Ungrouped